<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/navigation_graph"
    app:startDestination="@id/firstStepFragment">


<!--     first fragment-->
    <fragment
        android:id="@+id/firstStepFragment"
        android:name="com.utopiaindustries.qualitychecker.ui.fragments.FirstStepFragment"
        android:label="FirstStepFragment">

        <!--forward navigation animation-->
        <action
            android:id="@+id/action_firstStepFragment_to_secondStepFragment"
            app:destination="@id/secondStepFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <!--back navigation animation-->
<!--        <action-->
<!--            android:id="@+id/action_dashboardFragment_to_symptonsFragment"-->
<!--            app:destination="@id/symptomsFragment"-->
<!--            app:enterAnim="@anim/slide_in_left"-->
<!--            app:exitAnim="@anim/slide_out_right"-->
<!--            app:popEnterAnim="@anim/slide_in_right"-->
<!--            app:popExitAnim="@anim/slide_out_left" />-->
    </fragment>

<!--    second fragment-->
    <fragment
        android:id="@+id/secondStepFragment"
        android:name="com.utopiaindustries.qualitychecker.ui.fragments.SecondStepFragment"
        android:label="SecondStepFragment">
        <action
            android:id="@+id/action_secondStepFragment_to_thirdStepFragment"
            app:destination="@id/thirdStepFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right"
            app:popUpTo="@+id/navigation_graph"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_secondStepFragment_to_firstStepFragment"
            app:destination="@id/firstStepFragment"
            app:enterAnim="@anim/slide_in_left"
            app:exitAnim="@anim/slide_out_right"
            app:popEnterAnim="@anim/slide_in_right"
            app:popExitAnim="@anim/slide_out_left"
            app:popUpTo="@+id/navigation_graph"
            app:popUpToInclusive="true" />
    </fragment>

    <!--    third fragment-->
    <fragment
        android:id="@+id/thirdStepFragment"
        android:name="com.utopiaindustries.qualitychecker.ui.fragments.ThirdStepFragment"
        android:label="ThirsStepFragment">
        <action
            android:id="@+id/action_thirdStepFragment_to_secondStepFragment"
            app:destination="@id/secondStepFragment"
            app:enterAnim="@anim/slide_in_left"
            app:exitAnim="@anim/slide_out_right"
            app:popEnterAnim="@anim/slide_in_right"
            app:popExitAnim="@anim/slide_out_left"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_thirdStepFragment_to_forthStepFragment"
            app:destination="@id/forthStepFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right"
            app:popUpTo="@+id/navigation_graph"
            app:popUpToInclusive="true" />
    </fragment>

    <!--    forth fragment-->
    <fragment
        android:id="@+id/forthStepFragment"
        android:name="com.utopiaindustries.qualitychecker.ui.fragments.ForthStepFragment"
        android:label="ForthFragment">
        <action
            android:id="@+id/action_forthStepFragment_to_thirdStepFragment"
            app:destination="@id/thirdStepFragment"
            app:enterAnim="@anim/slide_in_left"
            app:exitAnim="@anim/slide_out_right"
            app:popEnterAnim="@anim/slide_in_right"
            app:popExitAnim="@anim/slide_out_left"
            app:popUpTo="@+id/navigation_graph"
            app:popUpToInclusive="true" />
    </fragment>

</navigation>